SA_CONCURRENCY(2)

NAME
sa_setconcurrency - increase the number of virtual processors

LIBRARY
libc

SYNOPSIS
#include <sa.h>
int
sa_setconcurrency(int concurrency);

DESCRIPTION
sa_setconcurrency() is used to increase the number of scheduler activation virtual processors used by the process. sa_setconcurrency() increases the number of virtual processors, i.e., execution concurrency, up to concurrency. However, sa_setconcurrency() won't try to allocate more virtual processors than there are physical processors on the system.

Scheduler activation should be enabled by sa_enable() beforehand.

RETURN VALUES
On success, sa_setconcurrency() returns the number of newly added virtual processors. Otherwise, a value of -1 is returned and errno is set to indicate the error.

SEE ALSO
pthread(3)